catalog:
  title: CLF Perception Vision

templates:
- github
- cmake-catkin
- base

variables:
  description: >-
    CLF Perception Vision is a GPU supported set of tools for robot
    perception
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  github.user: CentralLabFacilities
  github.project: clf_perception_vision

  branches:
  - master
  - dlup_only

  extra-provides:
  - nature: catkin
    target: clf_perception_vision
  extra-requires:
  - nature: cmake
    target: opencv-plus-contrib-cuda
    version: 3.3.1
  - nature: freestyle
    target: cuda
  - nature: catkin
    target: ros-clf-perception-vision-msgs

  platform-requires:
    ubuntu:
      packages:
      - libboost-all-dev
      - ros-${ros}-image-transport
      - ros-${ros}-rqt-image-view
      - ros-${ros}-theora-image-transport
      - ros-${ros}-image-view
      - libcuda1-384
      - '@{next-value|[]}'

  cmake.build-type: Release

versions:
- name: dlup_only
  variables:
    extra-requires:
    - nature: cmake
      target: opencv-plus-contrib-cuda
      version: 3.3.1
    - nature: catkin
      target: ros-clf-perception-vision-msgs
